services:
  gitlab:
    image: 'gitlab/gitlab-ce:19.0.0-ce.0'
    container_name: 'gitlab'
    restart: always
    hostname: 'gitlab.acreetionos.org'
    environment:
      PUMA_WAIT_FOR_LESS_BUSY_WORKER: "0.05"
      GITLAB_OMNIBUS_CONFIG: |
        external_url 'https://gitlab.acreetionos.org'
        gitlab_rails['gitlab_shell_ssh_port'] = 2222
        gitlab_rails['gitlab_signup_enabled'] = true
        puma['per_worker_max_memory_mb'] = 1024
        sidekiq['concurrency'] = 8
    ports:
      - '80:80'
      - '443:443'
      - '2222:22'
    cpu_shares: 512
    cpus: '3.5'
    volumes:
      - '/drive1/gitlab/config:/etc/gitlab'
      - '/drive1/gitlab/logs:/var/log/gitlab'
      - '/drive1/gitlab/data:/var/opt/gitlab'
